<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
if (!defined("BASEDIR")) { header("Location:../index.php"); exit; }

# 0 - Выключить выпадающий список 
# 1 - Обчный выпадающий список
# 2 - Выпадающий список без кнопки

if($config_autoskins==1){
if($config_themes!="wml"){
echo'<form method="post" action="'.BASEDIR.'pages/skin.php?'.SID.'">';
echo'<select name="skins"><option value="0">Выбрать скин</option>';

$skindir = opendir(BASEDIR."themes"); 
while ($skinfile = readdir ($skindir)){
if (is_dir(BASEDIR."themes/$skinfile")) {
if($skinfile=="."||$skinfile=="..") continue;

echo'<option value="'.$skinfile.'">'.$skinfile.'</option>';
 }}
echo'</select>';
closedir ($skindir);


echo'<input value="Выбрать" type="submit" /></form>';

}else{

echo'<select name="skins"><option value="0">Выбрать скин</option>';

$skindir = opendir(BASEDIR."themes"); 
while ($skinfile = readdir ($skindir)){
if (is_dir(BASEDIR."themes/$skinfile")) {
if($skinfile=="."||$skinfile=="..") continue;

echo'<option value="'.$skinfile.'">'.$skinfile.'</option>';
 }}
echo'</select> ';
closedir ($skindir);

echo '<anchor>Выбрать';
echo '<go href="'.BASEDIR.'pages/skin.php?'.SID.'" method="post">';
echo '<postfield name="skins" value="$(skins)"/>';
echo '</go></anchor><br>';
}}


//------------------------------------------------------------------//
if($config_autoskins==2){
if($config_themes!="wml"){
echo'<form method="post" action="'.BASEDIR.'pages/skin.php?'.SID.'">';
echo'<select name="skins" onchange="this.form.submit();"><option value="0">Выбрать скин</option>';

$skindir = opendir(BASEDIR."themes"); 
while ($skinfile = readdir ($skindir)){
if (is_dir(BASEDIR."themes/$skinfile")) {
if($skinfile=="."||$skinfile=="..") continue;

echo'<option value="'.$skinfile.'">'.$skinfile.'</option>';
 }}
echo'</select>';
closedir ($skindir);


echo'</form>';
}

}


?>